--[[----------------------------------------------------------------------------
	sample file

	- database is aviable under tool.db
	- to get locales, use function tool:L("LOCALE") without "TOOLNAME_" in front
	- database will be saved automatically (pls don't use event PLAYER_LOGOUT
	  for database changes)
	- dewdrop lib is aviable under tool.menu (see last lines in core.lua for
	  wrapper functions)
	- please store all of the tool funcs and vars in the tool table (so that
	  your tool can be disabled completely without using memory)
	- don't forget to add your tool to BrokerToolBox\tools.xml
------------------------------------------------------------------------------]]

--locales (format: TOOLNAME_LOCALE = "TEXT",)
BrokerToolBox:AddLocalization({
	sample_name = "Sample",							--localized tool name
	sample_description="A sample tool",			--localized tool description
	sample_hello = "Hello",							--use tool:L("hello") to get this localization
--	...
})--default locale
BrokerToolBox:AddLocalization({
	sample_name = "Beispiel",
	sample_description = "Ein Beispiel Tool",
	sample_hello = "Hallo",
--	...
},"deDE")--deDE locale

local tool
tool =BrokerToolBox:NewTool("sample",{
	--name="Sample",									--tool name (will be repleace, if you have defined a translation for this in AddLocalization)
	--description="A sample tool",				--tool description (will be repleace, if you have defined a translation for this in AddLocalization)
	author="Sanori",									--author of this tool
	version="1.0",										--tool version
	defaultON=false,									--default active?
	db={													--tool database
		typ="sample",
	},
	OnUpdate = function(self, elapsed)			--OnUpdate Script
		return
	end,
	events={												--Game Events
		["UNIT_SPELLCAST_START"] = function(self, ...)	--sample
			print(...)
		end,
	},
	broker = {											--Broker
		type = "launcher",
		text = "Sample",
		label = "?",
		icon = "",
	},
	PreInit = function(self)						--Event: PLAYER_LOGIN - called immediately before creating broker and before registering events and OnUpdate script (use this to init vars)
		self.myvar=0				--init a var
	end,
	PostInit = function(self)						--Event: PLAYER_LOGIN - called immediately after creating broker
		print(self.db.typ)		--print a save var
		self.broker.test = "<Sample>"
		print(self:L("hello"))	--print a locale
	end,
	PlayerLeavingWorld = function(self)			--Event: PLAYER_LEAVING_WORLD, called immediately before saving database, pls don't use event PLAYER_LOGOUT for database changes
		return
	end,
})